; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "PSPPIRE"
!define PRODUCT_VERSION "0.4.2cvs-20070405c"
!define PRODUCT_PUBLISHER "Free Software Foundation"
!define PRODUCT_WEB_SITE "http://www.gnu.org/software/pspp/psppire.html"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\psppire.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

;SetCompressor lzma
;SetCompressor /SOLID zlib
SetCompressor /SOLID lzma

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!insertmacro MUI_PAGE_LICENSE "COPYING"
; Components page
; !insertmacro MUI_PAGE_COMPONENTS
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_RUN "$INSTDIR\bin\psppire.exe"
!define MUI_FINISHPAGE_SHOWREADME "$INSTDIR\README.txt"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; Reserve files
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "${PRODUCT_NAME}-${PRODUCT_VERSION}-Setup.exe"
InstallDir "$PROGRAMFILES\${PRODUCT_NAME}-${PRODUCT_VERSION}"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" "InstallDir"
ShowInstDetails show
ShowUnInstDetails show

Section "PSPP" SEC01
  #SetOutPath "$INSTDIR"
  #SetOverwrite ifnewer
  #File "..\..\..\path\to\file\psppire.exe"
  CreateDirectory "$SMPROGRAMS\PSPPIRE"
  #CreateShortCut "$SMPROGRAMS\My Company\My Program.lnk" "$INSTDIR\My Program.exe"
  #"some command line parameters" "$INSTDIR\My Program.exe" 2 SW_SHOWNORMAL

  CreateShortCut "$SMPROGRAMS\PSPPIRE\PSPPIRE.lnk" "$INSTDIR\bin\psppire.exe" \
   "" "$INSTDIR\bin\psppire.exe" 0 SW_SHOWNORMAL \
   "" "Starts the PSPP statistics tool."
   #P "Starts the PSPP statistics tool."

  CreateShortCut "$SMPROGRAMS\PSPPIRE\fc-cache.lnk" "$INSTDIR\fc-cache.exe" "-v" "" 2 SW_SHOWNORMAL \
   "" "Builds Font Cache (Included for testing purposes)"
   #F "Builds Font Cache (Included for testing purposes)"
   
  CreateShortCut "$SMPROGRAMS\PSPPIRE\README.lnk" "$INSTDIR\README.txt" "" "" 2 SW_SHOWNORMAL \
   "" "Displays the README file."
  #CreateShortCut "$DESKTOP\PSPPIRE.lnk" "$INSTDIR\psppire.exe"
  
  SetOutPath "$INSTDIR"
  File "README.txt"
  !include "psppire_files.inst.nsi"

  #SetOverwrite try
  #SetOutPath "$INSTDIR\Tets"
  #File "..\Desktop\New Folder\Tets\test.txt"
SectionEnd

# Section "PSPPIRE (GUI)" SEC02
# SectionEnd

Section -AdditionalIcons
  SetOutPath $INSTDIR
  WriteIniStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  CreateShortCut "$SMPROGRAMS\PSPPIRE\Website.lnk" "$INSTDIR\${PRODUCT_NAME}.url"
  CreateShortCut "$SMPROGRAMS\PSPPIRE\Uninstall.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\bin\psppire.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\bin\psppire.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

; Section descriptions
;!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  ;!insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "Primitive command line interface."
  ;!insertmacro MUI_DESCRIPTION_TEXT ${SEC02} "The Graphical User Interface to PSPP"
;!insertmacro MUI_FUNCTION_DESCRIPTION_END


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  Delete "$INSTDIR\${PRODUCT_NAME}.url"
  #Delete "$SMPROGRAMS\PSPPIRE\fc-cache.lnk"
  Delete "$INSTDIR\README.txt"
  RMDir /r "$SMPROGRAMS\PSPPIRE"
  
  !include "psppire_files.del.nsi"

  !include "psppire_files.rmdir.nsi"

  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  SetAutoClose true
SectionEnd
